#
# spec file for package xfig (Version 3.2.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xfig
BuildRequires:  flex freetype2-devel libjpeg-devel libpng-devel netpbm update-desktop-files xaw3d-devel xorg-x11 xorg-x11-devel
License:        PERMISSIVE-OSI-COMPLIANT
Group:          Productivity/Graphics/Vector Editors
Provides:       xfig.3.2.3d
Requires:       transfig netpbm ghostscript-fonts-std
AutoReqProv:    on
Version:        3.2.5
Release:        136.2.1
Summary:        Facility for Interactive Generation of Figures under the X Window System
Url:            http://www.xfig.org/
Source:         xfig.%{version}.tar.bz2
Source1:        font-test.fig
Source2:        browser
Source3:        xfig.sh
Source4:        xfig.desktop
Patch0:         xfig.%{version}.dif
Patch1:         xfig.%{version}-urw-fonts.dif
Patch2:         xfig.%{version}-xim.dif
Patch3:         xfig.3.2.3d-international-std-fonts.dif
Patch4:         xfig-%{version}-mkstemp.dif
Patch5:         xfig.3.2.4-null.dif
Patch6:         xfig.%{version}-locale.dif
Patch7:         xfig.%{version}-fixes.dif
Patch8:         xfig.%{version}-pspdftex.dif
Patch9:         xfig.%{version}-zoom.dif
Patch10:        xfig.%{version}-zoom_fpe.dif
Patch11:        xfig.3.2.5b-preview.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"
%global _mandir     %{_exec_prefix}/man
%define _x11data    %{_exec_prefix}/lib/X11
%define _data       $(LIBDIR)
%define _appdefdir  %{_x11data}/app-defaults
%else
%define _x11data    %{_datadir}/X11
%define _data       $(SHAREDIR)
%define _appdefdir  %{_x11data}/app-defaults
%endif

%description
Xfig is a menu-driven tool that allows the user to draw and manipulate
objects interactively in an X Window System window.  The resulting
pictures can be saved, printed on PostScript printers, or converted to
a variety of other formats (to allow inclusion in LaTeX documents, for
example).

Documentation: /usr/share/doc/packages/xfig & man xfig

Examples: /usr/share/doc/packages/xfig/TheExamples



Authors:
--------
    Anthony Dekker <dekker@ACM.org>
    Brian V. Smith <bvsmith@lbl.gov>
    Jim Daley      <jdaley@cix.compulink.co.uk>
    Ross Martin    <martin@trcsun3.eas.asu.edu>
    Uwe Bonnes     <bon@lte.e-technik.uni-erlangen.de>

%prep
%setup -q -n xfig.%{version}
find -type f | xargs -r chmod a-x,go-w
%patch0  -p0
%patch1  -p0 -b .urw-fonts
%patch2  -p0 -b .xim
%patch3  -p1 -b .international-std-fonts
%patch4  -p0 -b .security
%patch5  -p0 -b .null
%patch6  -p0 -b .locale
%patch7  -p0 -b .fixes
%patch8  -p0 -b .pspdftex
%patch9  -p0 -b .zoom
%patch10 -p0 -b .fpe
%patch11 -p0 -b .preview
cp %{S:1} .

%build
xmkmf -a -D_DATA='%{_data}' -DStandardDefines=''
CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing -w -D_GNU_SOURCE -std=gnu99"
CCOPTIONS="$CCOPTIONS -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
make CCOPTIONS="$CCOPTIONS"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_x11data}/xfig
mkdir -p %{buildroot}%{_appdefdir}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}/Libraries/Examples
rm -rf   %{buildroot}%{_defaultdocdir}/%{name}/Examples
ln -sf   Libraries/Examples				\
         %{buildroot}%{_defaultdocdir}/%{name}/TheExamples
ln -sf   %{_defaultdocdir}/%{name}/Libraries		\
         %{buildroot}%{_x11data}/xfig/Libraries
ln -sf   %{_defaultdocdir}/%{name}/html			\
         %{buildroot}%{_x11data}/xfig/
ln -sf   %{_defaultdocdir}/%{name}/xfig_man.html	\
         %{buildroot}%{_x11data}/xfig/
ln -sf   %{_defaultdocdir}/%{name}/xfig-howto.pdf	\
         %{buildroot}%{_x11data}/xfig/
install -m 0755 %{SOURCE2} %{buildroot}%{_x11data}/xfig/
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install.man
mkdir -p %{buildroot}/%{_docdir}/%{name}
cp -pr README FIGAPPS Libraries font-test.fig %{buildroot}/%{_docdir}/%{name}
cp -pr Doc/FORMAT* Doc/TODO Doc/html Doc/*.pdf Doc/*.html %{buildroot}/%{_docdir}/%{name}
find %{buildroot}%{_defaultdocdir}/%{name}/ -name '*.bak' | xargs -r rm
find %{buildroot}%{_defaultdocdir}/%{name}/ -type f -print0 | xargs -0 chmod 644
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p %{name}.png %{buildroot}%{_datadir}/pixmaps/
mv %{buildroot}%{_bindir}/xfig %{buildroot}%{_bindir}/xfig.bin
sed 's|@@BINDIR@@|%{_bindir}|' < %{SOURCE3} > %{buildroot}%{_bindir}/xfig
chmod 0755 %{SOURCE3} %{buildroot}%{_bindir}/xfig
install -d %{buildroot}/usr/share/applications
sed 's|@@BINDIR@@|%{_bindir}|' < %{SOURCE4} > %{buildroot}/usr/share/applications/xfig.desktop
chmod 0644 %{buildroot}/usr/share/applications/xfig.desktop
find %{buildroot}/%{_docdir}/%{name} -name '*.orig' | xargs -r rm -f
%suse_update_desktop_file xfig VectorGraphics &> /dev/null

%files
%defattr(-,root,root,755)
%doc %{_docdir}/%{name}
%{_datadir}/applications/xfig.desktop
%{_datadir}/pixmaps/xfig.png
%{_x11data}/xfig
%{_bindir}/xfig*
%config %{_appdefdir}/Fig
%config %{_appdefdir}/Fig-color
%doc %{_mandir}/man1/xfig.1x.gz

%changelog
* Tue Aug 10 2010 werner@suse.de
- Make eps/ps import work again.  This trouble was caused  by the
  security fix for ghostscript of bug bnc#608071
* Mon Apr  6 2009 werner@suse.de
- Add fix to avoid FPE aftger zoom in (bnc#492295)
* Wed May 14 2008 werner@suse.de
- Fix buffer overflow in zoom handling (bnc#390283)
* Fri Apr 25 2008 werner@suse.de
- Make PS/PDF/LaTeX work similar to PS/LaTeX and PDF/LaTeX (bnc#383669)
* Tue Dec 18 2007 werner@suse.de
- Close comment in patch xfig.3.2.5-fixes.dif (bug #349439)
* Fri Nov 23 2007 werner@suse.de
- Make browser script know about firefox
* Fri Jun  1 2007 dmueller@suse.de
- fix buildrequires
* Mon May  7 2007 werner@suse.de
- Make it work as it should:
  * Be sure that horizontal sidebar ruler and other elements are
    visible all the time.  This requires small modifications in the
    calculations of the positions of a lot of elements/classes.
  * Make splash screen show `3.2.5' instead of `3.2.5 - alpha5'
  * Supress not wanted debug message
- Update to xfig 3.2.5 including various bug fixes, from the
  CHANGES file (bug #267840):
  * Shift-U accelerator added to popup units panel
  * The library menu button sizes with the library panel, to show longer
    path names if the user wants.
  * The cursor for drawing lines, splines, etc. is a crosshair now instead
    of an arrow.
  * Snap features to allow snapping points to endpoints, midpoints and
    intersections of other objects.
    From Chris Moller.
  * Keyboard input of object coordinates for precise positioning.
    From Chris Moller.
  * Can grab arc anywhere along the curve instead of just at grab points
    From Chris Moller.
  * Added -noflipvisualhints for cases where, due to "different" pointer
    devices, they aren't really flipped, but the mapping indicates they are.
  * Export to all of PS, PDF and LaTeX in one operation
    From Alistair Ramsey
  * Reorganized Networks library and new devices: ASX-200, 1000, and 4000
    by Bill Chimiak
  * New figures "betty.fig" (Betty Boop) and "nikke.fig" (German detective
    Nick Knatter) in Libraries/Examples drawn by Markku Reunanen
  * Can finish text input by pressing Escape.  This removes the cancellation
    of a compose sequence (e.g. a-umlaut)
  * Actually a bug fix, import of PDF files is now possible.  The code was
    there since version 3.2.3, but the user interface was not.
  * Nearly-full ANSI protoization of code by Harald Koenig
  * Installation of Libraries and doc files faster with tar instead of shell loop
  * New Gregorian chant music symbols from Bill Chimiak.  Also, Music library
    divided into "chant" and "modern"
  * Popup edit panel slightly more compact vertically
  * New library "Fasteners" containing various bolts and screws
    From Jim Yuzwalk
  * Increased size of numeric entry fields in indicator panels
  * N-channel IGBT in Electronic/Schematics Library from Art Blair
  * starting values for arrow type, width, length, thickness may be specified
    on command-line or in X resources:
  - startarrowtype, -startarrowwidth, -startarrowlength, -startarrowthick
  * xfig would crash on 64-bit processors because of a missing include, which
    causes new_string() to be declared implicitly as returning an integer.
    This may cause the top 32 bits to get lost and hence the crash.
  * Blanks not preserved in imported picture filename when reading Fig file
  * When in metric mode, decimal precision was ignored for dimension lines
  * When showing vertex numbers on objects, first vertex is now 0 to match
    edit window vertex numbers
  * Also, vertex numbers are not shown on inactive (grayed) layers
  * Widget shadow resources moved from Fig-color to Fig because they don't
    really have anything to do with color. There was a problem when running
    KDE because it set a global resource *Scrollbar*height: which made xfig
    freeze when *customization: -color was NOT used.
  * The point positioning indicator is turned on when editing a compound
    object to show the user that it is used
  * Increased the maximum size of images that can be imported.  There was
    a limit in the PostScript image encoder of 4096x4096 pixels.  This was
    increased to 8192x8192.
  * Centered text was changed to left-justified when flipped horizontally
    inside a compound object.
  * With -v option, after reporting the version, xfig would say that -v
    was an unknown option
  * Local locale was being used when writing the xfig cut buffer file
    instead of switching to "C" locale.  This created commas instead of
    decimal (.) for numbers in those particular locales.
    From Dirk Osswald
  * Local locale was used when forming command for calling fig2dev,
    resulting in commas instead of decimals for floating point numbers.
  * count_user_colors buffer overflow fixed
  * Under Cygwin, temporary file stayed around after unlink(), causing
    error when importing more than one ps/eps/pdf file
  * Segfault when using -update because appres resources were NULL
  * -update option failed when not first option passed to xfig
  * Clicking window manager "close window" button in library titlebar
    didn't close the window
  * Wasn't distributing objects in compounds when there were only 2 objects
  * Some compilers complain about the order of declaration in u_fonts.h - fixed
  * Northern part of map of India was incorrect (Libraries/Maps/Asia/india.fig)
  * Map of Serbia was misnamed "yugoslavia.fig" (Libraries/Maps/Europe/yugoslavia.fig)
  * Map of Central Europe had old Yugoslavia instead of Croatia, Serbia, Bosnia-
    Herzegovina, and Macedonia (also, Slovenia was mistakenly inside the border)
  * Editing a compound object with more than 200 texts would crash xfig
  * Added note to README and FAQ html file:
    If the Xaw or Xaw3d Athena widget sets are compiled with the
    ARROW_SCROLLBAR style of scrollbars, there is no StartScroll action
    and you won't be able to scroll using the wheel on the mouse.
    If you want to be able to scroll using the wheel, you must recompile
    the Xaw library from sources, disabling the ARROW_SCROLLBAR option.
  * Astrological symbols for planets in Miscellaneous/Astrology by Andrew Collier
  * Added key bindings to text dialogs to be more like modern systems (the
    Athena Widget Set that xfig uses is very old):
    Home:  beginning-of-line
    End:   end-of-line
    Del:   delete-character-right
  * Added *.jpeg* to picture browse options
  * New libraries for electronics from Fabio Gonzlez in
    Libraries/Electronics/Schematic/More
  * typo in latex_and_xfig.html and LATEX_AND_XFIG files. Text should be:
    \convertMPtoPDF{foo.0}{1}{1}
    It was missing parameters {1}{1}
  * -correct_font_size missing from -help option list and man pages
  * -help and -version didn't work unless they were first in the options
  * -O option wasn't passed to fig2dev for overlapping pages in multiple
    page mode for PostScript export
  * Introduction.html and installation.html updated to include Macintosh
    port of xfig
  * Button to collapse depths of a compound object (make all same depth)
    in popup object editor
  * Grid changed from dotted line to light red solid line
  * Candle in Libraries/Miscellaneous by Dr. Lyman Hazelton
  * Right-click on depth checkbox sets current depth in indicator panel
    to that depth
  * Library of symbols used when diagramming folding instructions to make
    origami models and example contributed by Marc Vigo
  * Can adjust width and height directly in popup editor for picture
    objects
  * Support for David Hawkey's Xaw3D version 1.5E
    (http://www.visi.com/~hawkeyd/xaw3d.html)
  * When loading a library object, if it contained only a compound and
    nothing else, when xfig promoted that compound to the toplevel the
    main comment was lost
  * Incorrect header files used for SmeBSB resulted in either segfault or
    none of the command panel entries being underlined
  * Drawing very large splines (e.g. at zoom = 0.01) caused integer
    roundoff errors, making xfig loop indefinitely
  * Bug where a line that had a zero width or length arrowhead was not
    redrawn after being moved, copied, canvas redraw, etc.
  * The page border and axis lines would obscure Fig objects when moving,
    copying etc. other objects on the canvas.
  * In the popup picture editor, if the relative position of the corners
    of the picture were changed, the rotation field was not updated
    (this bug was in 3.2.5-alpha3 only)
  * line, arc, ellipse length tool was reporting 0 length
  * URL for information about the color optimization code (written by
    Anthony Dekker) has changed to:
    http://members.ozemail.com.au/~dekker/NEUQUANT.HTML
  * -autorefresh command-line option (resource: Fig.autorefresh) which
    will make xfig look at the timestamp on the .fig file and
    automatically load it and display it everytime it changes.
  * Removed requirement to compile with WHEELMOUSE when using wheelmouse
  * New tower computers (Libraries/Computers/AOpenKF45E.fig and
    AOpenKF45E.fig from Dirko van Schalkwyk)
  * New 10/100 8port hub (Libraries/Networks/3Com3C16750.fig also from
    Dirko van Schalkwyk)
  * When placing library objects, the name and comments are displayed in
    message window
  * New flags (Libraries/Flags): Africa/Eritrea, Africa/Zimbabwe,
    Asia/Myanmar, Asia/Tajikstan, Asia/Kyrgystan, Europe/Croatia
  * non-polar capacitor added to Libraries/Electronic/Schematic
  * Mouse wheel can be used to scroll through filename lists in File and
    Export panels and icons or object lists in Library panel
  * Thickness of ticks in dimension lines are user-adjustable now
  * For attribute popup dialogs with only one text entry, keyboard now
    focuses on the entry as long as the pointer is anywhere in the dialog
  * When using the "Open compound, keep rest visible", the other objects
    are drawn in shades of gray similar to the inactive layers feature.
  * New library objects: adder, multiplier, sine-source and voltage-source
    in Electronic/Schematic by Hubert Lam
  * Zooming in or out with the Z or z key respectively will keep the canvas
    centered on the mouse pointer
  * Full version and patchlevel is included in Fig file header for
    diagnostics
  * Can explicitly set the rotation of imported pictures in edit panel
    after importing
  * Export option to produce both EPS and PDF (in two files) in one step.
    Useful for those who both use LaTeX and PDFLaTeX
  * "Epoch" added to rpm spec
  * New HP/GL2 (fig2dev) driver from Glenn Burkhardt with paper size
    selection, offset, centering and orientation options
  * New library object "atom" in Libraries/Miscellaneous is the classic
    drawing of an atom with electrons circling
    From Andrew B. Collier
  * Missing #ifdef XAW3D in SimpleMenu.c
  * Bug when breaking a compound object - depths were added twice to the
    counts
  * When implicitly cancelling the placement of a library object by
    choosing another mode, xfig would do one of two things:
    1. tell user to cancel or finish the current operation, but there
    was no way to do that
    2. create the object that was being cancelled with extremely large,
    negative coordinates
  * Picture Reread button was active before file was read the first time
  * Rereading picture in edit popup produced bad colors
  * When using multiple copies of an imported picture, h/w ratio was not
    computed for copies
  * Importing PCX images were incorrect when bytes per line different from
    width*bpp
  * When passed a filename containing a directory name for a Fig object
    library using -library_dir, and that directory only contains Fig files
    and no subdirectories with Fig files, xfig segfaulted
  * Several checks for memory allocation failure added to the library
    loading procs
  * Forgot to free allocated memory when return abnormally from loading
    libraries
  * Path length check in loading libraries fixed
  * Missing include for put_msg prototype in e_measeure.c
  * Needed #ifdef for XtVersion in SmeBSB.c (X11R5 doesn't have
    international fontset)
  * Added SIGPIPE signal to ignore in case an external program dies when we're
    using pipes
  * Screen capture on an MSBFirst X server with 24/32 bits per pixel was
    incorrect.
  * Importing any image file on such a server was incorrect (bytes/bits
    reversed).
  * Reading GIF or PCX files on 24-bit server *and* on big-endian machine
    (e.g. Sparcstation) resulted in bytes being swapped and funny colors
  * Could popup unit dialog when drawing/editing objects
  * Embedded whitespace in filenames in recently loaded files weren't
    parsed properly (.xfigrc)
  * When pasting an object on the canvas, point positioning grid wasn't used
  * Bug when reading a compressed eps file (file handle was passed to open
    proc instead of name)
  * Minor grid spec used twice instead of minor/major when passed to fig2dev
  * Fixed conversions of export/print grid values when switching to/from
    metric, decimal or fraction
  * When loading or merging a file, xfig appended ".fig" to the name if
    there wasn't ".fig" in the name. Now it only appends ".fig" if there
    is no suffix (no ".").
  * When appending the ".fig" before the previous change, xfig would segfault
  * Libraries/Electronic/Schematic/transformer and transformer_ironcore
    aligned to 1/16" grid
  * Bugs in indicator panel display of text flags, dimension line params
    and arrow size params when cycling through settings with middle or
    right mouse button
  * Bug in callbacks for dimension line checkboxes that select actual
    length or user text
  * When exporting to Combined PDF/LaTeX it uses ".pdf" and ".pdf_t"
    suffixes because LaTeX doesn't recognize ".pdftex" as a PDF file
  * Better clipping around arrowheads on thick lines (lines that are
    thicker than the arrowhead is wide)
  * Checks for open splines of < 2 points when reading figure file and
    removes them
  * Clicking middle mouse button after creating first point of closed
    spline switched to freehand mode
  * Export panel sections would get messed up when changing export
    languages
  * Now checks whether scrollbars support StartScroll before trying to use
    it for the wheel scrolling.  When the Xaw widgets are compiled with
    ARROW_SCROLLBAR, there is no such action.
  * pstex_t export lacked border option (-b) to align LaTeX text when
    pstex figure specified border (also fixed in fig2dev)
  * Create one picture object with no filename, then create another and
    xfig crashed
  * Some bugs when freeing dimension line components
  * Bad choices for grid dot spacing in metric mode in the 5mm grid, and
    decimal inch mode in the 0.5 and 1.0 inch grids
  * -international flag missing from xfig.html and xfig.man docs
  * Added call to XsetLocaleModifiers() when initializing input method
    (-international mode only)
  * xfig was limiting arrowhead lengths to 50 pixels instead of 50 inches,
    and the width to 10 pixels instead of 10 inches.
  * edit panel for circles shouldn't have "angle" entry
  * edit panel wasn't allowing typing in of negative angles for text and
    ellipses
  * Objects were sometimes drawn with a wild point when zooming
  * Full path was being added to default export filename and wasn't
    changing when user changed directories
  * When drawing a box or rounded box with the "show line lengths" on, the
    sizes were in Fig units (1200ppi) instead of user units.
  * Spacing cedilla (ISO 0xB8 / octal 270) was missing from CompKeyDB file
  * Changing the units in the popup edit panel for a text object caused a
    segfault.
  * Rulers and grid didn't change scale when user scale was != 1.0.  Even
    though the message window showed the correct user scale when drawing
    objects, the rulers and grid still showed the unscaled values.
  * Axis lines through 0,0 now drawn after page border so it remains
    visible when there is a grid
  * Segfault if current directory was deleted after starting xfig
  * Positioning grid was set to "ANY" when editing a compound object,
    causing the original bounding box to be lost
  * Bug in arc drawing caused arcs to be drawn as circles at high zoom
  * Computing the area of a polygon larger than 38x38 inches overflowed
    calculation
  * Bug in bounds calculation for ellipses and circles that increased
    bounding box even with line width = 1
  * Limit on number of styles in a family wasn't checked
  * If all depths were turned off and any edit operation was attempted on
    the canvas such as move object, delete object, xfig would hang,
    searching for objects indefinitely.
* Thu Nov 16 2006 werner@suse.de
- Set LC_NUMERIC to POSIX before print or export data (bug #213942)
* Tue Nov  7 2006 ro@suse.de
- fix docu permissions
* Mon Jul 31 2006 werner@suse.de
- Use Imake defines for LIBDIR/SHAREDIR switch
* Fri Jul 28 2006 werner@suse.de
- Make it build with X11R7
* Wed Feb 15 2006 stbinner@suse.de
- add GenericName to .desktop file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct  6 2005 werner@suse.de
- Make URW fonts an option, use Adobe as fallback
* Wed Aug 31 2005 werner@suse.de
- Fix single byte buffer overflow due pedantic gcc4 (bug #114344)
* Mon Aug 29 2005 ro@suse.de
- use own desktop file with icon (#113672)
* Tue Mar  1 2005 meissner@suse.de
- fixed font struct definitions to be after struct
  definition for gcc4.
- -Wno-all is actually -w.
* Thu Aug 26 2004 werner@suse.de
- Allow arguments in the wrapper script for xfig
* Wed Aug 25 2004 werner@suse.de
- Avoid nasty warnings about not found actions
- Use wrapper script to avoid UTF-8 for the program its self
* Fri Aug 13 2004 werner@suse.de
- Filelist: Add pixmap of xfig (#43698)
- Package docu: correct dir name in PDB (#43698)
* Fri May 28 2004 adrian@suse.de
- fix invalid Categories (#41338)
* Tue Apr  6 2004 werner@suse.de
- Add application desktop file for xfig (bug #38507 ???)
* Mon Mar 22 2004 werner@suse.de
- Fix NULL pointer access (bug #36650)
* Thu Mar 18 2004 werner@suse.de
- Remove .bak's from file list (bug #36311)
* Thu Mar 11 2004 werner@suse.de
- Add browser script for detection of varisou web browsers (#35669)
- Add security fix for temporary files
- Fix doc location
- Avoid extrem long build logs
* Tue Feb  3 2004 werner@suse.de
- Update to 3.2.4
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue Jul 22 2003 hare@suse.de
- Fixed function declaration.
* Fri Jun 13 2003 kukuk@suse.de
- Add workaround for brp-symlink script
* Thu Jun 12 2003 kukuk@suse.de
- Use BuildRoot
- Fix filelist
* Fri May  9 2003 mfabian@suse.de
- fix Bugzilla #26734: extend the fontsets in
  xfig-international-std-fonts.dif to always match something to
  avoid warnings "Missing charsets in String to FontSet conversion"
  even if only few fonts are installed.
* Thu May  8 2003 mfabian@suse.de
- adapt font names in xfig.3.2.3d-urw-fonts.dif to the names
  as they are auto generated by mkfontscale since SuSE Linux 8.2.
- don't print warnings concerning input styles when compose is
  used, input styles don't matter for compose.
* Mon Mar 18 2002 mfabian@suse.de
- fix bug #15077, don't exit when XSetLocaleModifiers("") fails,
  this would make it impossible to use the '-international' option
  unless some input server is running, which is nonsense for most
  non-Asian languages e.g. for Czech.
- enable '-international' automatically when
  NULL == strcasestr(nl_langinfo(CODESET),"ISO-8859-1")
  (i.e. enable it automatically for Czech as well).
- use better fonts for on screen display of Times-Roman and
  Times-Bold when '-international' is used.
* Mon Mar 18 2002 werner@suse.de
- Fix bug # 15076: add link /usr/X11R6/lib/X11/xfig/html/
  pointing to /usr/share/doc/packages/xfig/html/,
  add link /usr/X11R6/lib/X11/xfig/xfig.html pointing to
  /usr/share/doc/packages/xfig/xfig.html, add link
  /usr/X11R6/lib/X11/xfig/xfig-howto.pdf pointing to
  /usr/share/doc/packages/xfig/xfig-howto.pdf
* Thu Mar  7 2002 werner@suse.de
- Fix bug # 14588: add link /usr/X11R6/lib/X11/xfig/Libraries
  pointing to /usr/share/doc/packages/xfig/Examples/Libraries
* Fri Feb 22 2002 mfabian@suse.de
- use the URW fonts for display on X11 instead of bitmap fonts.
  Using the URW fonts for display on X11 *and* for printing with
  Ghostscript has the advantage that printout looks much more
  similar to the preview on X11. Much more WYSIWYG now.
  On top of that, the bitmap fonts could not be scaled anymore
  because we now have ":unscaled" added to every directory in
  the font path which contains only bitmap fonts. Therefore
  changing the font size in xfig ceased to work on X11, it worked
  only in the PostScript output. Because of this the X11 display
  was very different from the PostScript output.
- add font-test.fig as a sample file to test the correct display
  of the URW fonts.
- add xfig.3.2.3d-xim.dif to fix XIM for Japanese and Korean.
  (didn't work at all previously because a call to
  XSetLocaleModifiers() was missing)
- switch on the '-international' option for all locales using
  codesets different from 'ISO-8859-*' on by default.
- remove Korean app-defaults. The only reason for it's existence
  was to set 'Fig.international: true' apart from that it was
  identical to the standard app-defaults file. And because of
  some bug (which I still don't understand) it wasn't read anyway
  and therefore achieved nothing.
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Dec 11 2001 werner@suse.de
- Add forgotten examples
- Add forgotten docs
* Mon Dec 10 2001 werner@suse.de
- Update to version 3.2.3d
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Thu Jan 25 2001 violiet@suse.de
- added Korean resource.
* Thu Dec 14 2000 werner@suse.de
- Fixed the improve of the object searching at higher zooms (bug#4672)
* Tue Oct 10 2000 werner@suse.de
- Move XtSetLanguageProc after XtAppInitialize because otherwise
  LC_NUMERIC will be overwritten by LANG.
* Fri Sep 15 2000 werner@suse.de
- Update to 3.2.3c
  * include bug fix for f_read.c
  * Enable international support at compile time but disable
    it at run time (works only for Japanese and Korean).
    User could use -international
  * Mention  -international in the manual and html page
* Fri Jun 30 2000 werner@suse.de
- Workaround for un-initialized label in sme_bsb class
* Wed May 31 2000 werner@suse.de
- use %%{_defaultdocdir}
* Mon Mar 27 2000 werner@suse.de
- Avoid sparc nasties
* Fri Mar 24 2000 werner@suse.de
- Update to new version 3.2.3a
- Add patch for special jpeg version
- Change some minor shadow colorings
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr  7 1999 werner@suse.de
- Use the macro __need___va_list instead of moving varargs.h
- Integrate the cut+paste patch
- Use colored XPM icon
* Fri Mar  5 1999 ro@suse.de
- move varargs topward to make it compile
* Wed Dec  9 1998 max@suse.de
- added whole /usr/X11R6/lib/X11/xfig path to the file list, to get
  online documentation and cliparts into the rpm package.
* Fri Oct 30 1998 ro@suse.de
- update to 3.2.2
* Thu Sep 17 1998 ro@suse.de
- don't redeclare sys_errlist for glibc
* Mon Oct 20 1997 ro@suse.de
- ready for autobuild
* Tue May 27 1997 florian@suse.de
- update to version 3.2
* Tue May 27 1997 florian@suse.de
- update to version 3.2.0-beta3
- add more docu and examples
* Thu Jan  2 1997 florian@suse.de
- changed to use cm as default metric and not inches
